import copy

from Football.E2_OffensePlayer import OffensePlayer
from Football.E3_DefensePlayer import DefensePlayer


class FootballTeam:
    """
    This class represents a Football Team
    """

    def __init__(self, players):
        """
        Constructor.
        :param players: list - list of Football Players objects
        """
        self.__players = players

    def get_team(self):
        """
        method that return a copy of the players list
        """
        # return self.__players
        return copy.deepcopy(self.__players)

    def get_name(self, i):
        return self.__players[i].name


if __name__ == '__main__':
    # todo: https://pythontutor.com/visualize.html#code=import%20copy%0Aclass%20FootballPlayer%3A%0A%20%20%20%20def%20__init__%28self,%20name,%20salary,%20performance%29%3A%0A%20%20%20%20%20%20%20%20self.name%20%3D%20name%0A%20%20%20%20%20%20%20%20self.salary%20%3D%20salary%0A%20%20%20%20%20%20%20%20self.performance%20%3D%20float%28performance%29%0A%0A%20%20%20%20def%20__repr__%28self%29%3A%0A%20%20%20%20%20%20%20%20return%20f%22Name%3A%20%7Bself.name%7D%5Cn%22%20%5C%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20f%22Salary%3A%20%7Bself.salary%7DM%20%24%5Cn%22%20%5C%0A%20%20%20%20%20%20%20%20%20%20%20%20%20%20%20f%22Performance%3A%20%7Bself.performance%7D%22%0A%0Aclass%20FootballTeam%3A%0A%20%20%20%20def%20__init__%28self,%20players%29%3A%0A%20%20%20%20%20%20%20%20self.__players%20%3D%20players%0A%0A%20%20%20%20def%20get_team%28self%29%3A%0A%20%20%20%20%20%20%20%20return%20copy.deepcopy%28self.__players%29%0A%0A%20%20%20%20def%20set_team%28self,%20players%29%3A%0A%20%20%20%20%20%20%20%20self.__players%20%3D%20players%0A%0A%0Ap1%20%3D%20FootballPlayer%28'Janis%20Griffin',%2015,%206.2%29%0Ap2%20%3D%20FootballPlayer%28'John%20Smith',%2022,%207%29%0Ateam%20%3D%20FootballTeam%28%5Bp1,%20p2%5D%29%0A%0Ahacker%20%3D%20FootballPlayer%28'hacker',%201000,%20999%29%0Ateam_pointer%20%3D%20team.get_team%28%29%0Ateam_pointer.append%28hacker%29%0Aprint%28team.get_team%28%29%29&cumulative=false&heapPrimitives=nevernest&mode=edit&origin=opt-frontend.js&py=3&rawInputLstJSON=%5B%5D&textReferences=false
    p1 = DefensePlayer('Janis Griffin', 15, 6.2)
    p2 = OffensePlayer('John Smith', 22, 7)
    team = FootballTeam([p1, p2])

    team.get_team()[0].name = 'hacker 2'
    list = team.get_team()
    for player in team.get_team():
        print(player.name)





